WP3FixedLengthGroup Class Referenceabstract

`#include <WP3FixedLengthGroup.h>`

Inheritance diagram for WP3FixedLengthGroup:

## Public Member Functions

| WP3FixedLengthGroup (const unsigned char groupID)
unsigned char | getGroup () const
Public Member Functions inherited from WP3Part
virtual | ~WP3Part ()
virtual void | parse (WP3Listener *listener)=0

## Static Public Member Functions

static WP3FixedLengthGroup * | constructFixedLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char const groupID)
static bool | isGroupConsistent (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char groupID)
Static Public Member Functions inherited from WP3Part
static WP3Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char readVal)

## Protected Member Functions

void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
virtual void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption)=0

## Private Attributes

unsigned char | m_group

## Constructor & Destructor Documentation

## WP3FixedLengthGroup()

WP3FixedLengthGroup::WP3FixedLengthGroup | ( | const unsigned char | groupID | ) |

Referenced by constructFixedLengthGroup(), WP3AttributeGroup::WP3AttributeGroup(), WP3DoubleByteScriptCharacterGroup::WP3DoubleByteScriptCharacterGroup(), WP3ExtendedCharacterGroup::WP3ExtendedCharacterGroup(), WP3IndentGroup::WP3IndentGroup(), WP3TabGroup::WP3TabGroup(), WP3UndoGroup::WP3UndoGroup(), and WP3UnsupportedFixedLengthGroup::WP3UnsupportedFixedLengthGroup().

## Member Function Documentation

## _read()

void WP3FixedLengthGroup::_read | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )

protected

Referenced by WP3AttributeGroup::WP3AttributeGroup(), WP3DoubleByteScriptCharacterGroup::WP3DoubleByteScriptCharacterGroup(), WP3ExtendedCharacterGroup::WP3ExtendedCharacterGroup(), WP3IndentGroup::WP3IndentGroup(), WP3TabGroup::WP3TabGroup(), WP3UndoGroup::WP3UndoGroup(), and WP3UnsupportedFixedLengthGroup::WP3UnsupportedFixedLengthGroup().

## _readContents()

virtual void WP3FixedLengthGroup::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )

protected pure virtual

Implemented in WP3AttributeGroup, WP3DoubleByteScriptCharacterGroup, WP3ExtendedCharacterGroup, WP3IndentGroup, WP3TabGroup, WP3UndoGroup, and WP3UnsupportedFixedLengthGroup.

Referenced by _read().

## constructFixedLengthGroup()

WP3FixedLengthGroup * WP3FixedLengthGroup::constructFixedLengthGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | unsigned char const | groupID )

static

Referenced by WP3Part::constructPart().

## getGroup()

unsigned char WP3FixedLengthGroup::getGroup | ( |  | ) | const

inline

## isGroupConsistent()

bool WP3FixedLengthGroup::isGroupConsistent | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | const unsigned char | groupID )

static

Referenced by WP3Part::constructPart().

## Member Data Documentation

## m_group

unsigned char WP3FixedLengthGroup::m_group

private

Referenced by _read(), getGroup(), and WP3FixedLengthGroup().

The documentation for this class was generated from the following files:

- WP3FixedLengthGroup.h
- WP3FixedLengthGroup.cpp